# H248_TerminationStateDescriptor Class Reference

`#include <h248.h>`

Inheritance diagram for H248_TerminationStateDescriptor:

List of all members.

## Public Types

enum | OptionalFields { e_eventBufferControl, e_serviceState }

## Public Member Functions

| H248_TerminationStateDescriptor (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_ArrayOf_PropertyParm | m_propertyParms
H248_EventBufferControl | m_eventBufferControl
H248_ServiceState | m_serviceState

## Member Enumeration Documentation

enum H248_TerminationStateDescriptor::OptionalFields

Enumerator:

  e_eventBufferControl |
  e_serviceState |

## Constructor & Destructor Documentation

H248_TerminationStateDescriptor::H248_TerminationStateDescriptor | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_TerminationStateDescriptor::GetDataLength | ( |  | ) | const

PBoolean H248_TerminationStateDescriptor::Decode | ( | PASN_Stream & | strm | ) |

void H248_TerminationStateDescriptor::Encode | ( | PASN_Stream & | strm | ) | const

void H248_TerminationStateDescriptor::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_TerminationStateDescriptor::Compare | ( | const PObject & | obj | ) | const

PObject* H248_TerminationStateDescriptor::Clone | ( |  | ) | const

## Member Data Documentation

H248_ArrayOf_PropertyParm H248_TerminationStateDescriptor::m_propertyParms

H248_EventBufferControl H248_TerminationStateDescriptor::m_eventBufferControl

H248_ServiceState H248_TerminationStateDescriptor::m_serviceState

The documentation for this class was generated from the following file:

- h248.h